Avian Diet Database 
===================

[![DOI](https://zenodo.org/badge/22651884.svg)](https://zenodo.org/badge/latestdoi/22651884)
[![License: CC0-1.0](https://licensebuttons.net/l/zero/1.0/80x15.png)](http://creativecommons.org/publicdomain/zero/1.0/)

This database is a quantitative summary of the published literature on the diets of bird species. 

## Interactive Website  

This website ([https://aviandiet.unc.edu](https://aviandiet.unc.edu)) allows users to explore the most up-to-date database information, and to generate basic summaries by diet or prey item.

## R Package
A developmental **R package** is available [here](https://github.com/ahhurlbert/aviandietdb) for exploring, summarizing, and filtering the database in the R environment.

Note that the `dietdb` database object loaded with this package may be slightly out of date relative to the `AvianDietDatabase.txt` file in this repository.

## Data Entry  

Instructions for entering and cleaning new diet data information can be found [here](instructions/instructions.md).

Did you find an error in the database? Do you know of a published study with quantitative diet information that is not included in our database?  

Let us know! Post an issue by clicking ‘Issues’ near the top left (requires a Github account), or send an email to aviandietdb@gmail.com.

## Citation

Please cite this dataset as:

Hurlbert, A. H., Olsen, A. M., Sawyer, M. M., and Winner, P. M. 2021. Avian Diet Database. https://doi.org/10.5281/zenodo.5151056



## Acknowledgments

Many individuals contributed to this compilation of diet records. Specifically we would like to thank M. Auriemma, J. Barnes, M. Blawas, C. Bridges, J. Cook, R. Cooper, A. Duprey, J. Fox, G. Glass, T. Hennessey, J. Knowlton, E. Kremer, W. Larsen, E. McGeady, T. McKinnon, G. Ni, L. Peeler, R. Quindlen, A. Richards, D. Ryu, M. Sandoval, C. Seyfried, S. Swinea, and J. Willard, A. Zachman. M. Pan, T. Randby, and T. Le developed the web interface for exploring the database. AHH also acknowledges support from NSF DEB-1354563 and NSF EF-1702708.
